
Redmine - Defect #40075

undefined local variable or method `users_context_menu_path'

2024-01-17 10:30 - Bruce Bongo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.1

Description

This happened when i click on Administriation->Users

(5.1.1.)

redmine-redmine-1  | I, [2024-01-17T09:59:02.987907 #1]  INFO -- :   Rendered users/index.html.erb

 within layouts/admin (Duration: 2.7ms | Allocations: 5962)

redmine-redmine-1  | I, [2024-01-17T09:59:02.988143 #1]  INFO -- :   Rendered layout layouts/admin

.html.erb (Duration: 2.9ms | Allocations: 5988)

redmine-redmine-1  | I, [2024-01-17T09:59:02.988431 #1]  INFO -- : Completed 500 Internal Server E

rror in 11ms (ActiveRecord: 2.1ms | Allocations: 10040)

redmine-redmine-1  |F, [2024-01-17T09:59:02.989101 #1] FATAL -- :

redmine-redmine-1  | ActionView::Template::Error (undefined local variable or method `users_contex

t_menu_path' for #<ActionView::Base:0x0000000001efa0>):

redmine-redmine-1  |     1: <%= form_tag({}, data: {cm_url: users_context_menu_path}) do -%>

redmine-redmine-1  |     2: <%= hidden_field_tag 'back_url', url_for(params: request.query_paramet

ers), id: nil %>

redmine-redmine-1  |     3: <div class="autoscroll">

redmine-redmine-1  |     4: <table class="list odd-even users">

redmine-redmine-1  |

redmine-redmine-1  | app/views/users/_list.html.erb:1

redmine-redmine-1  | app/views/users/index.html.erb:21

redmine-redmine-1  | app/controllers/users_controller.rb:72:in `block (2 levels) in index'

redmine-redmine-1  | app/controllers/users_controller.rb:66:in `index'

redmine-redmine-1  | lib/redmine/sudo_mode.rb:61:in `sudo_mode'

 On Redmine 5.0.7. it works without an error

History

#1 - 2024-01-17 19:11 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

It seems that when upgrading your Redmine, you have not replaced some of the files with their respective versions from the new Redmine.

Specifically, you likely kept the config/routes.rb file from your previous version (which is an wrong and can result in all kinds of errors).

When upgrading Redmine, you have to use ALL files form the new version and just keep some local configuration. From the config directory, the only

allowed customization are in the following files (and which are consequently the only files you should keep from your existing Redmine version when

upgrading):

config/database.yml

config/configuration.yml

config/additional_environment.rb (if it exists)

All other files in the config directory (notably including config/settings.yml) are part of the current Redmine release and must not be shared between

different Redmine versions. They are not intended to be edited.

#2 - 2024-01-18 10:20 - Bruce Bongo

I used the official Docker image, meaning the theory involving files from the old version is a bit risky.

I need a few more days; then, I will review the files in the versions again and enter the results here.
